Fc40 app for iPhone

Joined
Nov 25, 2019
Messages
10
Reaction score
5
Age
60
Just getting into drones. Going to travel in Rv with my wife and want to get some good shots as we travel. Bought a used phantom fc40 on Facebook marketplace. All working good as far as flying goes but camera was not included. So I went to eBay to find one. Found one I bought for 70 $. It arrives Friday. But here’s the problem dji has not updated the app. When you click on it goes to App Store and says developer has not updated and not available. Is there anyway to get this done so I will be able to use my fc40 camera? Thanks for your help.
 
  • Like
Reactions: dronesky

dronesky

Premium Pilot
Joined
Feb 4, 2017
Messages
438
Reaction score
273
Location
Indiana
Just getting into drones. Going to travel in Rv with my wife and want to get some good shots as we travel. Bought a used phantom fc40 on Facebook marketplace. All working good as far as flying goes but camera was not included. So I went to eBay to find one. Found one I bought for 70 $. It arrives Friday. But here’s the problem dji has not updated the app. When you click on it goes to App Store and says developer has not updated and not available. Is there anyway to get this done so I will be able to use my fc40 camera? Thanks for your help.
Hope this is what you want
 
Joined
Nov 25, 2019
Messages
10
Reaction score
5
Age
60
Hope this is what you want
Tried it again. No go. Link Goes to App Store and says developer hasn’t updated the app. I guess I could try and downgrade my iPhone operating system. Not sure if that would work. I have ios11.
 

dronesky

Premium Pilot
Joined
Feb 4, 2017
Messages
438
Reaction score
273
Location
Indiana
Tried it again. No go. Link Goes to App Store and says developer hasn’t updated the app. I guess I could try and downgrade my iPhone operating system. Not sure if that would work. I have ios11.
Your phone is most likely the problem had a Phantom 2 vision plus which is a couple model Phantoms newer than yours had to get a iphone 4s to work it right you probably need a iphone 3s or something around that I think
 
Joined
Nov 25, 2019
Messages
10
Reaction score
5
Age
60
Your phone is most likely the problem had a Phantom 2 vision plus which is a couple model Phantoms newer than yours had to get a iphone 4s to work it right you probably need a iphone 3s or something around that I think
Makes sense. Thanks a lot.
 

dirkclod

Moderator
Staff Member
Premium Pilot
Joined
May 9, 2014
Messages
14,597
Reaction score
8,177
Age
65
Location
Amory Mississippi
Good luck. 👍
Edit , just looked on my iPhone 6s Plus in App Store and is there. Am on lastest update 13.1.3
 
Last edited:
Joined
Nov 25, 2019
Messages
10
Reaction score
5
Age
60
Excellent! Thanks a lot
Interesting now when you go to the dji fc40 app download. It used to direct you to the App Store where it said developer has not updated. Now you just get a blank screen when you click on the download. Someone must be watching our discussions!
 
  • Haha
Reactions: dirkclod

dirkclod

Moderator
Staff Member
Premium Pilot
Joined
May 9, 2014
Messages
14,597
Reaction score
8,177
Age
65
Location
Amory Mississippi
That’s odd. Not sure what to tell you but maybe I still have it
from when I did download it it is in the cloud.
 

New Threads

Forum statistics

Threads
136,713
Messages
1,413,690
Members
99,375
Latest member
DanaL